API ReferenceapicommsGET /v1/messages/scheduled

GET /v1/messages/scheduled

Service: comms · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • brand_id (string) required
  • status (string) —

Responses

200 Scheduled messages

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "person_id": {
            "type": "string"
          },
          "channel": {
            "type": "string"
          },
          "template_key": {
            "type": "string"
          },
          "recipient": {
            "type": "string"
          },
          "dedup_key": {
            "type": "string"
          },
          "scheduled_at": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "sent_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "cancelled_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "failure_reason": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "brand_id",
          "person_id",
          "channel",
          "template_key",
          "recipient",
          "dedup_key",
          "scheduled_at",
          "status",
          "sent_at",
          "cancelled_at",
          "failure_reason",
          "created_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://comms.platform.loop.health/v1/messages/scheduled \
  -H "Authorization: Bearer $ACCESS_TOKEN"